%define majorversion 1.11
Distribution:	CCux
Packager:  	Christian Metzen <metzench@ccux-linux.de>

Summary:   	The Automake package contains programs for generating Makefiles for use with Autoconf.
Name:      	automake
Version:   	1.11.1
Release:   	1
Provides:	automake
License:   	GNU/GPL
URL:		http://www.gnu.org
Group:     	Development/C
Source0: 	%{name}-%{version}.tar.bz2
Patch0:         %{name}-%{version}-ccux.patch
BuildRoot: 	%{_tmppath}/%{name}-buildroot
BuildArch:	i686
Requires(post,preun): /sbin/install-info

BuildRequires: autoconf >= 2.68

#Automatically resolved build dependencies
BuildRequires: perl

%description
The Automake package contains programs for generating Makefiles for use with Autoconf.

%post
/sbin/install-info %_infodir/automake.info.gz %_infodir/dir

%preun
if [ "$1" = 0 ]; then
/sbin/install-info --del %_infodir/automake.info.gz %_infodir/dir
fi

%prep
%setup -qn automake-%{version}
%patch0 -p1

%build
./configure --prefix=%_prefix --infodir=%_infodir
make

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
rm -f $RPM_BUILD_ROOT%_bindir/aclocal
rm -f $RPM_BUILD_ROOT%_bindir/automake
rm -f $RPM_BUILD_ROOT%_datadir/info/dir
ln -s automake-%{majorversion} $RPM_BUILD_ROOT%_bindir/automake
ln -s aclocal-%{majorversion} $RPM_BUILD_ROOT%_bindir/aclocal

%files
%defattr(-,root,root)
%{_bindir}/aclocal
%{_bindir}/aclocal-%{majorversion}
%{_bindir}/automake
%{_bindir}/automake-%{majorversion}
%{_aclocal}-%{majorversion}
%{_datadir}/automake-%{majorversion}
%{_docdir}/automake/amhello-1.0.tar.gz
%{_infodir}/automake.info-1.gz
%{_infodir}/automake.info-2.gz
%{_infodir}/automake.info.gz
%{_mandir}/man1/aclocal-%{version}.gz
%{_mandir}/man1/aclocal.1.gz
%{_mandir}/man1/automake-%{version}.gz
%{_mandir}/man1/automake.1.gz

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Fri Sep 24 2010 Karsten Brockmann <arcam@ccux-linux.de> 1.11.1-1
- Version Update
* Sun May 11 2008 Christian Wasem <wasem@ccux-linux.de> 1.10.1-1
- Version Update
* Sat Mar 17 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.10-1
- Version Update
* Thu Oct 13 2005 Christian Wasem <wasem@ccux-linux.de> 1.9.6-2
- added install info files
* Mon Oct 10 2005 Karsten Brockmann <brockmka@rz.fh-augsburg.de> 1.9.6-1
- Version Update
* Wed Jun 22 2005 Andreas Roth <aroth@arsoft-online.com> 1.9.5-2
- added patch for ccux (get configuration triple i686-ccux-linux)
* Mon May 23 2005 Karsten Brockmann <brockmka@rz.fh-augsburg.de> 1.9.5-1
- Version Update to 1.9.5
* Thu Dec 09 2004 Christian Metzen <metzench@ccux-linux.de> 1.9.3-1
- Initial Release
